%define archive_name kiwi

Name:           python3-kiwisolver
Version:        1.1.0
Release:        %mkrel 2
Summary:       Kiwi is an efficient C++ implementation of the Cassowary constraint solving algorithm.
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/nucleic/kiwi
Source:         https://github.com/nucleic/kiwi/archive/%{archive_name}-%{version}.tar.xz
BuildRequires:  python-rpm-macros
BuildRequires:  dos2unix

%description
Kiwi is an implementation of the algorithm based on the seminal Cassowary paper. It is not a refactoring of the original C++ solver. Kiwi has been designed from the ground up to be lightweight and fast. Kiwi ranges from 10x to 500x faster than the original Cassowary solver with typical use cases gaining a 40x improvement. Memory savings are consistently > 5x.


%prep
%setup -q -n %{archive_name}-%{version}

%build
 %{__python3} setup.py build

%install

rm -rf $RPM_BUILD_ROOT
 %{__python3} setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%{python3_sitearch}/*

%changelog
* Sun Oct 13 2019 tex - 1.1.0-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 1.1.0-1pclos2019
- Initial package
